package howto;

import java.io.Serializable;


import org.jboss.soa.esb.actions.AbstractAction;
import org.jboss.soa.esb.helpers.DomElement;
import javax.jms.ObjectMessage;
import org.apache.log4j.xml.DOMConfigurator;
import org.jboss.soa.esb.listeners.GpListener;

public class MyJMSWatcher extends AbstractAction 
{

  static final String CONFIG_FILE = "BasicJMSListenerConfig.xml";
  private String message;

  public MyJMSWatcher(DomElement p_oP, Object p_oCurr) throws Exception
  {
    super(p_oP, p_oCurr);
  }

  @Override
  public void processCurrentObject() throws Exception 
  {
	System.out.println(m_oCurr);
  }

  @Override
  public Serializable getOkNotification()
  {
    return message;
  }
  @Override
  public Serializable getErrorNotification()
  {
   return "ERR NOTIFICATION: " + this.getClass();
  }

  public static void main(String[] args) throws Exception
  {
    DOMConfigurator.configure("log4j.xml");
    GpListener oProc = new GpListener(CONFIG_FILE);
    oProc.run();
  }

}